diff --git a/json-c.cygport b/json-c.cygport
index 0f3bc2a..a0f4195 100644
--- a/json-c.cygport
+++ b/json-c.cygport
@@ -1,7 +1,7 @@
-inherit cmake ninja
+inherit cmake
 NAME="json-c"
 VERSION=0.16
-RELEASE=1
+RELEASE=2
 
 LICENSE="BSD-1-Clause"
 CATEGORY="Libs"
@@ -22,19 +22,11 @@ libjson_c_devel_CONTENTS="usr/include/ usr/lib/"
 
 BUILD_REQUIRES="cmake ninja"
 
-src_compile() {
-	cd ${B}
-	cygcmake -DBUILD_STATIC_LIBS:BOOL=OFF \
-		-DCMAKE_INSTALL_PREFIX:PATH=${D}/usr
-	cygmake
-}
-
-src_install() {
-	cd ${B}
-	cygmake install
-}
+CYGCMAKE_ARGS="
+	-DBUILD_STATIC_LIBS:BOOL=OFF
+"
 
 src_test() {
 	cd ${B}
-	PATH=${B}:${PATH} ctest
+	PATH=${B}:${PATH} ninja_test
 }
